---
title: ui-typography
---

```js
import 'xin-cli/scss/ui-typography.scss';
```

We provide some basic styling on header tags. In the example, you can see the the 6 header tags' different sizes.

## Headers

```html
<h1>Heading h1</h1>
<h2>Heading h2</h2>
<h3>Heading h3</h3>
<h4>Heading h4</h4>
<h5>Heading h5</h5>
<h6>Heading h6</h6>
```

<div class="ui-panel">
  <h1>Heading h1</h1>
  <h2>Heading h2</h2>
  <h3>Heading h3</h3>
  <h4>Heading h4</h4>
  <h5>Heading h5</h5>
  <h6>Heading h6</h6>
</div>

## Blockquotes

Blockquotes are mainly used to give emphasis to a quote or citation. You can also use these for some extra text hierarchy and emphasis.

```html
<blockquote>
  This is an example quotation that uses the blockquote tag.
  Here is another line to make it look bigger.
</blockquote>
```

<blockquote>
  This is an example quotation that uses the blockquote tag.
  Here is another line to make it look bigger.
</blockquote>

You can also use quoted block quote to express citation

```html
<blockquote class="quoted">
  To separate oneself from things of time and to connect oneself with things of eternity is highest wisdom.
</blockquote>
```

<div class="ui-panel">
  <blockquote class="quoted">
    To separate oneself from things of time and to connect oneself with things of eternity is highest wisdom.
  </blockquote>
</div>
